import pytest
import path_setting
from ids_list import get_ids
from in_common.base_request import BaseRequest
from all_backend_api.conversation_request import conversation_request

class TestDetailLive:
    data = BaseRequest().api_load(path_setting.DETAIL_LIVE)
    detail_live_case, detail_live_data = get_ids(data, "detail_live")

    @pytest.mark.parametrize("param",detail_live_data,ids=detail_live_case)
    def test_detail_live(self,param):
        r = conversation_request().detail_live(param["referrer_id"])
        if r["error"] == 0:
            assert r["error"] == param["assert"]